Package org.springframework.web.server.adapter

# Class WebHttpHandlerBuilder.SpringWebBlockHoundIntegration

java.lang.Object
org.springframework.web.server.adapter.WebHttpHandlerBuilder.SpringWebBlockHoundIntegration

All Implemented Interfaces:
  `Comparable<reactor.blockhound.integration.BlockHoundIntegration>`, `reactor.blockhound.integration.BlockHoundIntegration`

Enclosing class:
  WebHttpHandlerBuilder

public static class WebHttpHandlerBuilder.SpringWebBlockHoundIntegration extends Object implements reactor.blockhound.integration.BlockHoundIntegration
`BlockHoundIntegration` for spring-web classes.

Since:
  5.3.6

## Constructor Summary

Constructors
Constructor
Description
`SpringWebBlockHoundIntegration()`

## Method Summary

Modifier and Type
Method
Description
`void`
`applyTo(reactor.blockhound.BlockHound.Builder builder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface reactor.blockhound.integration.BlockHoundIntegration

`compareTo, getPriority`

## Constructor Details

### SpringWebBlockHoundIntegration

public SpringWebBlockHoundIntegration()

## Method Details

### applyTo

public void applyTo(reactor.blockhound.BlockHound.Builder builder)

Specified by:
  `applyTo` in interface `reactor.blockhound.integration.BlockHoundIntegration`